/* Includes ----------------------------------------------------------------- */
#include "bsp/led.h"
#include "gpio.h"
#include "tim.h" 
/* Private define ----------------------------------------------------------- */

/* Private macro ------------------------------------------------------------ */
/* Private typedef ---------------------------------------------------------- */
/* Private variables -------------------------------------------------------- */


/* Private function  -------------------------------------------------------- */
/* Exported functions ------------------------------------------------------- */

int8_t BSP_LED_SET(BSP_LED_Channel_t ch, BSP_LED_Status_t s){
    uint32_t gpio_pin;
    switch (ch)
    {
    case BSP_LED1:
        gpio_pin = LED1_Pin;
        break;
    case BSP_LED2:
        gpio_pin = LED2_Pin;
        break;
    case BSP_LED3:
        gpio_pin = LED3_Pin;
        break;
    }
    switch (s)
    {
    case BSP_LED_ON:
        HAL_GPIO_WritePin(GPIOC, gpio_pin, GPIO_PIN_SET);
        break;
    case BSP_LED_OFF:
        HAL_GPIO_WritePin(GPIOC, gpio_pin, GPIO_PIN_RESET);
        break;
    case BSP_LED_TAGGLE:
        HAL_GPIO_TogglePin(GPIOC, gpio_pin);
        break;
    }
    return 0;
}
